#!/bin/bash
EFI_BOOT_DIR="${EFI_BOOT_DIR}";
BOOTLOADER_ID="${BOOTLOADER_ID}";

# Elevate script
if [ ! "$UID" -eq 0 ]
then
    sudo
        EFI_BOOT_DIR="${EFI_BOOT_DIR}" \
        BOOTLOADER_ID="${BOOTLOADER_ID}" \
            bash "$BASH_SOURCE" "$USER";
else
    grub-install --target=x86_64-efi --efi-directory="$EFI_BOOT_DIR" --bootloader-id="$BOOTLOADER_ID";
    grub-mkconfig -o "$EFI_BOOT_DIR/grub/grub.cfg";

    sed -i "s/#\(GRUB_DISABLE_OS_PROBER\)/\1/" /etc/default/grub
fi;
